Skip to main content
`Ctrl`+`K`

# numpy.ma.masked_array.compressed

method

ma.masked_array.compressed()

  Return all the non-masked data as a 1-D array.

  Returns:
    data ndarray

      A new `ndarray` holding the non-masked data is returned.

  Notes

  The result is not a MaskedArray!

  Examples

      >>> import numpy as np
      >>> x = np.ma.array(np.arange(5), mask=[0]*2 + [1]*3)
      >>> x.compressed()
      array([0, 1])
      >>> type(x.compressed())
      <class 'numpy.ndarray'>

  N-D arrays are compressed to 1-D.

      >>> arr = [[1, 2], [3, 4]]
      >>> mask = [[1, 0], [0, 1]]
      >>> x = np.ma.array(arr, mask=mask)
      >>> x.compressed()
      array([2, 3])